/// <reference types="node" />
import { RawGtv } from "../gtv/types";
export declare type RawGtxOp = [opName: string, args: RawGtv[]];
export declare type RawGtxBody = [
    blockchainRID: Buffer,
    operations: RawGtxOp[],
    signers: Buffer[]
];
export declare type RawGtx = [transaction: RawGtxBody, signatures: Buffer[]];
export declare type GTX = {
    [x: string]: any;
    blockchainRID: Buffer;
    operations: RellOperation[];
    signers: Buffer[];
    signatures?: Buffer[];
};
export declare type RellOperation = {
    opName: string;
    args: RawGtv[];
};
export declare type SignerPair = {
    pubKey: string;
    signature: string;
};
export declare type BufferSignerPair = {
    pubKey: Buffer;
    signature: Buffer;
};
